Package com.creditcall.chipdnamobile

# Class FeatureToken

java.lang.Object
com.creditcall.chipdnamobile.FeatureToken

All Implemented Interfaces:
  `android.os.Parcelable`

public class FeatureToken extends Object implements android.os.Parcelable
Contains data representing information about a generated feature token.

Author:
  Creditcall Ltd

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<FeatureToken>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeatureToken(android.os.Parcel in)`
  `FeatureToken(String value)`
  Constructor for FeatureToken

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `String`
  `getValue()`
  Get the feature token value.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<FeatureToken> CREATOR

- ## Constructor Details

  - ### FeatureToken

    public FeatureToken(String value)
    Constructor for FeatureToken
    Parameters:
      `value` - The token value, as a base64 string

  - ### FeatureToken

    public FeatureToken(android.os.Parcel in)

- ## Method Details

  - ### getValue

    public String getValue()
    Get the feature token value.
    Returns:
      The token value as a base64 string

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`